Debian Bug report logs - #385800
libassa: FTBFS on 64 bit arches: error: cast from 'ASSA::EventHandler*' to 'int' loses precision

version graph

Package: libassa; Maintainer for libassa is Eric Dorland <eric@debian.org>;

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sun, 3 Sep 2006 09:03:05 UTC

Severity: serious

Tags: fixed, patch

Found in version 3.4.2-1

Fixed in versions 3.4.2-1.1, libassa/3.4.2-2

Done: Eric Dorland <eric@debian.org>

Bug is archived. No further changes may be made.

Forwarded to vlg@users.sourceforge.net

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#385800; Package libassa. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: libassa: FTBFS on 64 bit arches: error: cast from 'ASSA::EventHandler*' to 'int' loses precision
Date: Sun, 3 Sep 2006 10:57:42 +0200
Package: libassa
Version: 3.4.2-1
Severity: serious

Hi,

Your package is failing to build with the following error:
 g++ -DHAVE_CONFIG_H -I. -I. -I.. -I.. -g -Wall -O2 -c Reactor.cpp  -fPIC -DPIC -o .libs/Reactor.o
Reactor.cpp: In member function 'bool ASSA::Reactor::removeHandler(ASSA::EventHandler*, ASSA::EventType)':
Reactor.cpp:250: error: cast from 'ASSA::EventHandler*' to 'int' loses precision
Reactor.cpp: In member function 'bool ASSA::Reactor::removeIOHandler(handler_t)':
Reactor.cpp:330: error: cast from 'ASSA::EventHandler*' to 'int' loses precision
make[3]: *** [Reactor.lo] Error 1

You can't store a pointer in an int.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#385800; Package libassa. Full text and rfc822 format available.

Acknowledgement sent to Max Kellermann <max@duempel.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #10 received at 385800@bugs.debian.org (full text, mbox):

From: Max Kellermann <max@duempel.org>
To: 385800@bugs.debian.org
Subject: use %p for printing pointers
Date: Sun, 17 Sep 2006 23:30:03 +0200
[Message part 1 (text/plain, inline)]
This patch uses %p to format pointers, instead of %x with an int cast.

[libassa-385800-pointer_format.patch (text/plain, attachment)]

Tags added: patch Request was from Max Kellermann <max@duempel.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Alexander Wirt <formorer@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Eric Dorland <eric@kuroneko.ca>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #17 received at 385800-forwarded@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@kuroneko.ca>
To: vlg@users.sourceforge.net
Cc: Max Kellermann <max@duempel.org>, 385800-forwarded@bugs.debian.org
Subject: (forw) Bug#385800: use %p for printing pointers
Date: Thu, 21 Sep 2006 22:21:17 -0400
[Message part 1 (text/plain, inline)]
Hi Vladislav,

libassa fails to build again on 64bit arches. This patch fixes the
issue. 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[Message part 2 (message/rfc822, inline)]
From: Max Kellermann <max@duempel.org>
To: 385800@bugs.debian.org
Subject: Bug#385800: use %p for printing pointers
Date: Sun, 17 Sep 2006 23:30:03 +0200
[Message part 3 (text/plain, inline)]
This patch uses %p to format pointers, instead of %x with an int cast.

[libassa-385800-pointer_format.patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug marked as fixed in version 3.4.2-1.1, send any further explanations to Kurt Roeckx <kurt@roeckx.be> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#385800. Full text and rfc822 format available.

Message #22 received at 385800-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 380056-submitter@bugs.debian.org, 380123-submitter@bugs.debian.org, 380147-submitter@bugs.debian.org, 380466-submitter@bugs.debian.org, 380581-submitter@bugs.debian.org, 380589-submitter@bugs.debian.org, 380723-submitter@bugs.debian.org, 380728-submitter@bugs.debian.org, 380801-submitter@bugs.debian.org, 380872-submitter@bugs.debian.org, 380915-submitter@bugs.debian.org, 380993-submitter@bugs.debian.org, 381005-submitter@bugs.debian.org, 381068-submitter@bugs.debian.org, 381110-submitter@bugs.debian.org, 381225-submitter@bugs.debian.org, 381338-submitter@bugs.debian.org, 381390-submitter@bugs.debian.org, 381452-submitter@bugs.debian.org, 381456-submitter@bugs.debian.org, 381624-submitter@bugs.debian.org, 381646-submitter@bugs.debian.org, 381816-submitter@bugs.debian.org, 382096-submitter@bugs.debian.org, 382114-submitter@bugs.debian.org, 382131-submitter@bugs.debian.org, 382214-submitter@bugs.debian.org, 382260-submitter@bugs.debian.org, 382400-submitter@bugs.debian.org, 382491-submitter@bugs.debian.org, 382512-submitter@bugs.debian.org, 382642-submitter@bugs.debian.org, 382769-submitter@bugs.debian.org, 382783-submitter@bugs.debian.org, 382807-submitter@bugs.debian.org, 382867-submitter@bugs.debian.org, 382951-submitter@bugs.debian.org, 382958-submitter@bugs.debian.org, 383175-submitter@bugs.debian.org, 383314-submitter@bugs.debian.org, 383426-submitter@bugs.debian.org, 383565-submitter@bugs.debian.org, 383569-submitter@bugs.debian.org, 383616-submitter@bugs.debian.org, 383823-submitter@bugs.debian.org, 384057-submitter@bugs.debian.org, 384081-submitter@bugs.debian.org, 384223-submitter@bugs.debian.org, 384282-submitter@bugs.debian.org, 384356-submitter@bugs.debian.org, 384358-submitter@bugs.debian.org, 384489-submitter@bugs.debian.org, 384507-submitter@bugs.debian.org, 384566-submitter@bugs.debian.org, 384593-submitter@bugs.debian.org, 384725-submitter@bugs.debian.org, 384750-submitter@bugs.debian.org, 384756-submitter@bugs.debian.org, 384772-submitter@bugs.debian.org, 384825-submitter@bugs.debian.org, 384826-submitter@bugs.debian.org, 384937-submitter@bugs.debian.org, 384995-submitter@bugs.debian.org, 385062-submitter@bugs.debian.org, 385080-submitter@bugs.debian.org, 385177-submitter@bugs.debian.org, 385378-submitter@bugs.debian.org, 385643-submitter@bugs.debian.org, 385696-submitter@bugs.debian.org, 385800-submitter@bugs.debian.org, 385819-submitter@bugs.debian.org, 385820-submitter@bugs.debian.org, 385827-submitter@bugs.debian.org, 385828-submitter@bugs.debian.org, 385829-submitter@bugs.debian.org, 385830-submitter@bugs.debian.org, 385831-submitter@bugs.debian.org, 385835-submitter@bugs.debian.org, 385837-submitter@bugs.debian.org, 385839-submitter@bugs.debian.org, 385841-submitter@bugs.debian.org, 385943-submitter@bugs.debian.org, 378525-submitter@bugs.debian.org, 378699-submitter@bugs.debian, org@mauritius.dodds.net, 379208-submitter@bugs.debian.org, 374601-submitter@bugs.debian.org, 388193-submiter@bugs.debian.org, 366090-submitter@bugs.debian.org, 343015-submitter@bugs.debian.org, 342963-submitter@bugs.debian.org, 342962-submitter@bugs.debian.org, 342966-submitter@bugs.debian.org, 342997-submitter@bugs.debian.org, 343000-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sun, 22 Oct 2006 01:59:27 -0700
# Hi folks,
#
# All of these bugs have been fixed in NMU, but not acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important to
# know which version of a package fixes each bug so that they can be tracked
# for release status in the BTS, so I'm closing these bugs with the relevant
# version number information now.

close 380056 0.4.2-3.2
close 380123 1.1.3-5.3
close 380147 0.4.14-1.1
close 380466 0.3.9-1.1
close 380581 0.3.7-1.1
close 380589 1:1.0.0-rel-3.1
close 380723 0.0.43-0.3
close 380728 0.3.2-7.1
close 380801 3.0.3-3.1
close 380872 0.4-1.1
close 380915 0.8-1.1
close 380993 2.4.0-3.1
close 381005 1:1.0-3.1
close 381068 0.4.7-1.1
close 381110 2.6.3.2.1.2
close 381225 1:1.0.1-4.1
close 381338 2.3.4-3.1
close 381390 2.1.1-5.2
close 381452 21.4a-6.2
close 381456 0.3.4.cvs.20050813-2.2
close 381624 3.6.13-3.6
close 381646 7.4-3.1
close 381816 6.2.10-4.1
close 382096 1.3.29-2.1
close 382114 1:1.2.4.1-6.1
close 382131 1.9.6-3.1
close 382214 0.4.7-1.1
close 382260 1.13-1.1
close 382400 0.87.5-2
close 382491 0.2.1-1.1
close 382512 1.0.0-9.2
close 382642 2.2.3-1.1
close 382769 0.2.12-1.2
close 382783 1.0.57-2.3
close 382807 0.5.4-0.1
close 382867 0.10-1.1
close 382951 2.6.3.2.1.5
close 382958 1.0.5-1.1
close 383175 0.1.8.1-3.1
close 383314 7:6.2.4.5.dfsg1-0.10
close 383426 4.0.6-2.1
close 383565 0.1.6.9-1.1
close 383569 0.95-2.1
close 383616 1.0.5-1.1
close 383823 2.2.0-2.1
close 384057 6.5.0.cvs.20060524-1.1
close 384081 1:5.22-1.1
close 384223 0.80+dfsg-1
close 384282 6.5.0.cvs.20060524-1.1
close 384356 0.9.10-3.1
close 384358 0.88-3.1
close 384489 0.4.2-7.1
close 384507 0.4.20-12.1
close 384566 0.13-3.3
close 384593 210-3.1
close 384725 2.8.5-2sarge1.2
close 384750 0.9.2+cvs.1.0.dev.2004.07.28-4.1
close 384756 0.15.0-1.1
close 384772 0.9.6-1.1
close 384825 0.0.43-0.4
close 384937 0.03-1.1
close 384995 0.5-1.1
close 385062 7:6.2.4.5.dfsg1-0.10
close 385080 1.3.29-2.1
close 385177 1.1.3-1.2
close 385378 0.33.3-1.1
close 385643 0.07-1.1
close 385696 2.5.3-4.1
close 385800 3.4.2-1.1
close 385819 0.6.6-6.1
close 385820 0.6.6-4.1
close 385827 3.5-9.1
close 385828 1.3.2-3.3
close 385829 1.4.3-17.2
close 385830 0.5-8.1
close 385831 2.0.9-1.2
close 385835 3.0.9-2.1
close 385837 0.3-5.2
close 385839 2.3.0-1
close 385841 1.1pre14-2.1
close 385943 2.8.5-1.1
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Reply sent to Eric Dorland <eric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 385800-close@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: 385800-close@bugs.debian.org
Subject: Bug#385800: fixed in libassa 3.4.2-2
Date: Sun, 29 Apr 2007 09:02:02 +0000
Source: libassa
Source-Version: 3.4.2-2

We believe that the bug you reported is fixed in the latest version of
libassa, which is due to be installed in the Debian FTP archive:

libassa3.4-0-dbg_3.4.2-2_i386.deb
  to pool/main/liba/libassa/libassa3.4-0-dbg_3.4.2-2_i386.deb
libassa3.4-0-dev_3.4.2-2_i386.deb
  to pool/main/liba/libassa/libassa3.4-0-dev_3.4.2-2_i386.deb
libassa3.4-0_3.4.2-2_i386.deb
  to pool/main/liba/libassa/libassa3.4-0_3.4.2-2_i386.deb
libassa_3.4.2-2.diff.gz
  to pool/main/liba/libassa/libassa_3.4.2-2.diff.gz
libassa_3.4.2-2.dsc
  to pool/main/liba/libassa/libassa_3.4.2-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385800@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eric Dorland <eric@debian.org> (supplier of updated libassa package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 29 Apr 2007 04:41:28 -0400
Source: libassa
Binary: libassa3.4-0 libassa3.4-0-dev libassa3.4-0-dbg
Architecture: source i386
Version: 3.4.2-2
Distribution: unstable
Urgency: low
Maintainer: Eric Dorland <eric@debian.org>
Changed-By: Eric Dorland <eric@debian.org>
Description: 
 libassa3.4-0 - object-oriented C++ networking library
 libassa3.4-0-dbg - debugging symbols for libassa3.4-0
 libassa3.4-0-dev - object-oriented C++ networking library
Closes: 385800 420897
Changes: 
 libassa (3.4.2-2) unstable; urgency=low
 .
   * debian/control:
     - -dbg package Priority to extra, to match the override.
     - Add Section: libs to source header.
   * assa/Reactor.cpp: Apply patch from #385800 and acknowledge
     NMU. (Closes: #385800)
   * assa/INETAddress.cpp, assa/FdSet.h: Fix from Martin Michlmayr to build
     with gcc 4.3. (Closes: #420897)
Files: 
 89b04f7748467d759d9cf22af5c2b921 626 libs optional libassa_3.4.2-2.dsc
 b78230bba9299c1a8bbc54600ba65554 3901 libs optional libassa_3.4.2-2.diff.gz
 3d5a83efc996d861d210f55bb459f2a6 1609774 libdevel optional libassa3.4-0-dev_3.4.2-2_i386.deb
 94814269d606eb97063e3c7c43cb81bb 184904 libs optional libassa3.4-0_3.4.2-2_i386.deb
 fc0b7828f0675e972575a46ad7064c3b 2726890 libdevel extra libassa3.4-0-dbg_3.4.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGNFwWYemOzxbZcMYRAqoeAJ9qhioyRFdDaXZPT7M+YdV74JXlJgCghW9W
FjGgagt48eaHvUlVFOot7wU=
=E8I/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 07:58:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:03:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.